Skip to main content
GET
/
v1
/
links
/
{link_id}
/
balances
List all balances
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/balances/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "count": 123,
  "next": "<string>",
  "previous": "<string>",
  "results": [
    {
      "type": "CHECKING",
      "subtype": "MONEY_MARKET",
      "mask": "6789",
      "balances": {
        "currency_code": "USD",
        "balance": "100.00",
        "available_balance": "50.99",
        "credit_limit": "200.00"
      },
      "id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "created_at": "2022-05-04T11:30:00.000Z",
      "updated_at": "2022-05-04T12:00:00.000Z",
      "nickname": "My account"
    }
  ]
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

count
integer
required
next
string<uri> | null
required
Minimum string length: 1
previous
string<uri> | null
required
Minimum string length: 1
results
object[]
required